Skip to main content
GET
/
phones
/
{phone}
Get Phone
curl --request GET \
  --url https://api-west.millis.ai/phones/{phone} \
  --header 'authorization: <authorization>'
import requests

url = "https://api-west.millis.ai/phones/{phone}"

headers = {"authorization": "<authorization>"}

response = requests.get(url, headers=headers)

print(response.text)
const options = {method: 'GET', headers: {authorization: '<authorization>'}};

fetch('https://api-west.millis.ai/phones/{phone}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));


{
  "id": "<string>",
  "create_at": 123,
  "status": "<string>",
  "agent_id": "<string>",
  "agent_config_override": {
    "prompt": "<string>",
    "voice": {
      "voice_id": "<string>",
      "model": "<string>",
      "settings": {}
    },
    "flow": {
      "user_start_first": true,
      "interruption": {
        "allowed": true,
        "keep_interruption_message": true,
        "first_messsage": true
      },
      "response_delay": 123,
      "auto_fill_responses": {
        "response_gap_threshold": 123,
        "messages": [
          "<string>"
        ]
      },
      "agent_terminate_call": {
        "enabled": true,
        "instruction": "<string>",
        "messages": [
          "<string>"
        ]
      },
      "voicemail": {
        "message": "<string>",
        "continue_on_voice_activity": true,
        "detection_phrases": [
          "<string>"
        ]
      },
      "call_transfer": {
        "phone": "<string>",
        "phones": [
          {
            "phone": "<string>",
            "description": "<string>"
          }
        ],
        "instruction": "<string>",
        "messages": [
          "<string>"
        ]
      },
      "inactivity_handling": {
        "idle_time": 123,
        "message": "<string>"
      },
      "dtmf_dial": {
        "enabled": false,
        "instruction": "<string>"
      }
    },
    "first_message": "<string>",
    "tools": [
      {
        "name": "<string>",
        "description": "<string>",
        "params": [
          {
            "name": "<string>",
            "required": true,
            "type": "<string>",
            "description": "<string>"
          }
        ],
        "webhook": "<string>",
        "header": {},
        "method": "<string>",
        "timeout": 123,
        "run_after_call": true,
        "messages": [
          "<string>"
        ],
        "execute_after_message": true,
        "exclude_session_id": true,
        "include_metadata": true
      }
    ],
    "millis_functions": [
      {
        "name": "<string>",
        "description": "<string>",
        "data": {
          "param": {
            "description": "<string>",
            "name": "<string>",
            "required": true,
            "type": "<string>"
          }
        },
        "type": "<string>",
        "params": [
          {
            "name": "<string>",
            "required": true,
            "type": "<string>",
            "description": "<string>"
          }
        ],
        "messages": [
          "<string>"
        ]
      }
    ],
    "app_functions": [
      {
        "name": "<string>",
        "credentials": {}
      }
    ],
    "custom_llm_websocket": "<string>",
    "language": "en-US",
    "vad_threshold": 123,
    "llm": {
      "temperature": 0,
      "history_settings": {
        "history_message_limit": 123,
        "history_tool_result_limit": 123
      }
    },
    "session_timeout": {
      "max_duration": 123,
      "max_idle": 123,
      "message": "<string>"
    },
    "session_data_webhook": "<string>",
    "privacy_settings": {
      "opt_out_data_collection": true,
      "do_not_call_detection": false
    },
    "custom_vocabulary": {
      "keywords": {}
    },
    "extra_prompt_webhook": "<string>",
    "switch_language": {
      "languages": [
        "<string>"
      ]
    },
    "knowledge_base": {
      "files": [
        "<string>"
      ],
      "messages": [
        "<string>"
      ]
    },
    "speech_to_text": {
      "multilingual": true,
      "model": "<string>",
      "denoise": false,
      "denoiser": {
        "settings": {}
      }
    },
    "call_settings": {
      "enable_recording": false,
      "background": {
        "url": "<string>",
        "volume": 123
      }
    },
    "memory": {
      "user_identifier_key": ""
    },
    "timezone": "<string>",
    "status": "active"
  },
  "tags": [
    "<string>"
  ]
}
{
"detail": [
{
"loc": [
"<string>"
],
"msg": "<string>",
"type": "<string>"
}
]
}

Headers

authorization
string
required

Path Parameters

phone
string
required

Response

Successful Response

id
string
required
create_at
number
required
status
string
required
agent_id
string | null
agent_config_override
PartialAgentConfig · object | null
tags
string[] | null